local fn = vim.fn

local is_bootstrap = false
local bootstrap_output = ''

local install_path = fn.stdpath('data') .. '/site/pack/packer/start/packer.nvim'

if fn.empty(fn.glob(install_path)) > 0 then
    bootstrap_output = fn.system({
        'git',
        'clone',
        '--depth', '1',
        'https://github.com/wbthomason/packer.nvim',
        install_path
    })
    is_bootstrap = true
    vim.cmd 'packloadall'
end

return {
    is_bootstrap = is_bootstrap,
    bootstrap_output = bootstrap_output,
}
